Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.zip
Class ZipArchiveInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.commons.compress.archivers.ArchiveInputStream
              org.apache.commons.compress.archivers.zip.ZipArchiveInputStream

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  JarArchiveInputStream

    public class ZipArchiveInputStream

extends ArchiveInputStream

Implements an input stream that can read Zip archives.

Note that `ZipEntry.getSize()` may return -1 if the DEFLATE algorithm is used, as the size information is not available from the header.

The `ZipFile` class is preferred when reading from files.

See Also:
  `ZipFile`

Constructor Summary
`ZipArchiveInputStream(InputStream inputStream)`
`ZipArchiveInputStream(InputStream inputStream, String encoding, boolean useUnicodeExtraFields)`

Method Summary
`void` | `close()`
`ArchiveEntry` | `getNextEntry()` Returns the next Archive Entry in this Stream.
`ZipArchiveEntry` | `getNextZipEntry()`
`static boolean` | `matches(byte[] signature, int length)`
`int` | `read(byte[] buffer, int start, int length)`
`long` | `skip(long value)`

Methods inherited from class org.apache.commons.compress.archivers.ArchiveInputStream
`count, getCount, read`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipArchiveInputStream

    public ZipArchiveInputStream(InputStream inputStream)

### ZipArchiveInputStream

    public ZipArchiveInputStream(InputStream inputStream,
                                 String encoding,
                                 boolean useUnicodeExtraFields)

Parameters:
  `encoding` - the encoding to use for file names, use null for the platform's default encoding
  `useUnicodeExtraFields` - whether to use InfoZIP Unicode Extra Fields (if present) to set the file names.

Method Detail

### getNextZipEntry

    public ZipArchiveEntry getNextZipEntry()
                                    throws IOException

  Throws:
    `IOException`

### getNextEntry

    public ArchiveEntry getNextEntry()
                              throws IOException

  Description copied from class: `ArchiveInputStream`
  Returns the next Archive Entry in this Stream.

  Specified by:
    `getNextEntry` in class `ArchiveInputStream`
  Returns:
    the next entry, or `null` if there are no more entries
  Throws:
    `IOException` - if the next entry could not be read

### read

    public int read(byte[] buffer,
                    int start,
                    int length)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

### skip

    public long skip(long value)
              throws IOException

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`

### matches

    public static boolean matches(byte[] signature,
                                  int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.